### Function

# Tsparql Resource deserialize

#### Declaration [src]

    TrackerResource*
    tracker_resource_deserialize (
      GVariant* variant
    )

#### Description [src]

Deserializes a `TrackerResource` previously serialized with `tracker_resource_serialize()`. It is implied that both ends use a common `TrackerNamespaceManager`.

#### Parameters

`variant`

  Type: `GVariant`

  A `GVariant`.

  The data is owned by the caller of the function.

#### Return value

Type: `TrackerResource`

A TrackerResource, or `NULL` if deserialization fails.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.